Loading...
Searching...
No Matches
ONX_Model_UserData Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_extensions.h>`

## Public Member Functions

| ONX_Model_UserData ()
| ~ONX_Model_UserData ()
| ONX_Model_UserData (const ONX_Model_UserData &)
ONX_Model_UserData & | operator= (const ONX_Model_UserData &)
void | Dump (ON_TextLog &) const

## Public Attributes

ON_UUID | m_uuid
ON_3dmGoo | m_goo
int | m_usertable_3dm_version
int | m_usertable_opennurbs_version

## Detailed Description

Definition at line 27 of file opennurbs_extensions.h.

## Constructor & Destructor Documentation

## ONX_Model_UserData() [1/2]

ONX_Model_UserData::ONX_Model_UserData | ( |  | ) |

## ~ONX_Model_UserData()

ONX_Model_UserData::~ONX_Model_UserData | ( |  | ) |

## ONX_Model_UserData() [2/2]

ONX_Model_UserData::ONX_Model_UserData | ( | const ONX_Model_UserData & |  | ) |

## Member Function Documentation

## Dump()

void ONX_Model_UserData::Dump | ( | ON_TextLog & |  | ) | const

## operator=()

ONX_Model_UserData & ONX_Model_UserData::operator= | ( | const ONX_Model_UserData & |  | ) |

## Member Data Documentation

## m_goo

ON_3dmGoo ONX_Model_UserData::m_goo

Definition at line 54 of file opennurbs_extensions.h.

## m_usertable_3dm_version

int ONX_Model_UserData::m_usertable_3dm_version

Definition at line 61 of file opennurbs_extensions.h.

## m_usertable_opennurbs_version

int ONX_Model_UserData::m_usertable_opennurbs_version

Definition at line 62 of file opennurbs_extensions.h.

## m_uuid

ON_UUID ONX_Model_UserData::m_uuid

Definition at line 53 of file opennurbs_extensions.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_extensions.h